[Qt] Budowanie Qt dla QNX 6.5


(McDracullo) #1

Chciałbym uruchomić napisaną aplikację w QNX - niestety, nie ma przygotowanych plików do pobrania i trzeba ręcznie kompilować całość. Pogooglowałem i znalazłem w sieci kilka linków, między innymi:

http://qt-project.org/wiki/Building-Qt5 ... e-Playbook

I tu zaczyna się problem.

Po wykonaniu instrukcji:

configure -prefix C:\dev\qt5install -xplatform blackberry-armv7le-qcc -opengl es2 -nomake docs -nomake examples -nomake demos -nomake tests -opensource -confirm-license -release

wyskakuje błąd:

The build script does not currently recognize all platforms supported by Qt. Rerun this script with a -platform option listed to set the system/compiler combination you use.

Niestety nie przychodzi mi do głowy jak dodać to urządzenie, aby możliwe było dalsze budowanie.


(Marcinch7) #2

To nie błąd a sugestia. Przeczytaj ją.


(McDracullo) #3

Niestety nie jest dla mnie na tyle jasna, aby zrozumieć jak mam powtórzyć skrypt.